# Class UserParameterXMLErrorHandler

java.lang.Object
org.apache.jmeter.protocol.http.modifier.UserParameterXMLErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class UserParameterXMLErrorHandler extends Object implements ErrorHandler
XML Parseing errors for XML parameters file are handled here.

## Constructor Summary

Constructors
Constructor
Description
`UserParameterXMLErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(SAXParseException exception)`
`void`
`fatalError(SAXParseException exception)`
`void`
`warning(SAXParseException exception)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserParameterXMLErrorHandler

public UserParameterXMLErrorHandler()

## Method Details

### warning

public void warning(SAXParseException exception) throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Throws:
  `SAXException`

### error

public void error(SAXParseException exception) throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Throws:
  `SAXException`

### fatalError

public void fatalError(SAXParseException exception) throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Throws:
  `SAXException`